/**
 * Title2Image Admin JavaScript
 */
jQuery(document).ready(function($) {
    // Select all
    $('#select-all').change(function() {
        $('input[name="attachment_ids[]"]').prop('checked', this.checked);
    });
    
    // Copy buttons
    $('.copy-filename').click(function() {
        var text = $(this).closest('.rename-field').find('.new-filename').val();
        var originalText = $(this).attr('title');
        
        // Copy to clipboard
        navigator.clipboard.writeText(text).then(function() {
            var $button = $(this);
            $button.addClass('success');
            $button.attr('title', title2imageL10n.copied);
            
            setTimeout(function() {
                $button.removeClass('success');
                $button.attr('title', originalText);
            }, 2000);
        }.bind(this));
    });
    
    // Reset filename
    $('.reset-filename').click(function() {
        var $input = $(this).closest('.rename-field').find('.new-filename');
        $input.val($input.data('original'));
    });
    
    // Filter change submits form
    $('#filter_year, #filter_month').change(function() {
        $('#scan-form').submit();
    });
});

